// Klopfsensor-Auswertung ber Texas Instruments TPIC8101.
// Der Sensor wird ber SPI digital parametriert und digital ausgelesen.
// Die Messwerte werden bei 9600 baud 8n1 ber die serielle Schnittstelle ausgegeben.
//
// CPU:						ATmega8
// Takt:					14,7456 MHz
// 
// Programmierer: Peter Diener
// 2010



#include "MAIN.h"



static FILE uart_stream = FDEV_SETUP_STREAM(uputchar0, ugetchar0, _FDEV_SETUP_RW);



int main(void)
{
	unsigned int knockvalue;

	SPI_init();
	TPIC_init();

	stdout = stdin = &uart_stream;
	init_uart0(9600);
	sei();

	while(1)
	{
		knockvalue = TPIC_get_knock_value();
		printf("Klopfwert: %u \n", knockvalue);
		_delay_ms(500);
	}

	return 0;
}
